Skip to content
Start here

Validate SQL

POST/accounts/{account_id}/pipelines/v1/validate_sql

Validate Arroyo SQL.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
Path ParametersExpand Collapse
account_id: string

Specifies the public ID of the account.

Body ParametersJSONExpand Collapse
sql: string

Specifies SQL to validate.

ReturnsExpand Collapse
result: object { tables, graph }
tables: map[object { id, name, type, version } ]

Indicates tables involved in the processing.

id: string
name: string
type: string
version: number
graph: optional object { edges, nodes }
edges: array of object { dest_id, edge_type, key_type, 2 more }
dest_id: number
formatint32
minimum0
edge_type: string
key_type: string
src_id: number
formatint32
minimum0
value_type: string
nodes: array of object { description, node_id, operator, parallelism }
description: string
node_id: number
formatint32
minimum0
operator: string
parallelism: number
formatint32
minimum0
success: boolean

Indicates whether the API call was successful.

Validate SQL

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/pipelines/v1/validate_sql \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "sql": "insert into sink select * from source;"
        }'
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}